<?php get_header(); ?>

	<div id="middle">

	<div id="content">

		<?php if (have_posts()) : ?>

		 <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle">Archive for the &#8216;<?php echo single_cat_title(); ?>&#8217; Category</h2>

 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>

	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>

	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">Author Archive</h2>

		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle">Blog Archives</h2>

		<?php } ?>
<?php while (have_posts()) : the_post(); ?>
        	<div class="title">
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
			</div>
				<div class="post" id="post-<?php the_ID(); ?>">
					<div class="entry">
                    	<p class="small">posted by <?php the_author() ?> on <?php the_time('M') ?> <?php the_time('j') ?></p>
						<div class="clear"></div>
                        <div class="navigation">
                            <div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
                            <div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
                            <div class="clear"></div>
                        </div>
						<?php the_content('Read the rest of this entry &raquo;'); ?>
					</div>
	
					
				</div>
				<div class="postfooter">
					<p class="postmetadata alignleft">Posted in <?php the_category(', ') ?></p>
					<p class="alignright"><?php edit_post_link('Edit', '', ' | '); ?>  <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></p>
					<div class="clear"></div>

<?php the_tags('Tags: ', ' | ', ''); ?>
				</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h2 class="center">Not Found</h2>
		<?php include (TEMPLATEPATH . '/searchform.php'); ?>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

		<div class="clear"></div>
	</div>


<?php get_footer(); ?>